SMBCQUOTAS(1)

NAME
smbcquotas - Set or get QUOTAs of NTFS 5 shares

SYNOPSIS

smbcquotas {//server/share} [-u|--user user] [-L|--list] [-F|--fs] [-S|--set QUOTA_SET_COMMAND] [-n|--numeric] [-t|--test-args] [-v|--verbose] [-d debuglevel] [-s configfile] [-l logdir] [-V] [-U username] [-N] [-k] [-A]

DESCRIPTION

This tool is part of the samba(7) suite.

The smbcquotas program manipulates NT Quotas on SMB file shares.

OPTIONS

The following options are available to the smbcquotas program.

-u|--user user
    Specifies the user of whom the quotas are get or set. By default the current user's username will be used.

-L|--list
    Lists all quota records of the share.

-F|--fs
    Show the share quota status and default limits.

-S|--set QUOTA_SET_COMMAND
    This command sets/modifies quotas for a user or on the share, depending on the QUOTA_SET_COMMAND parameter which is described later.

-n|--numeric
    This option displays all QUOTA information in numeric format. The default is to convert SIDs to names and QUOTA limits to a readable string format.

-t|--test-args
    Don't actually do anything, only validate the correctness of the arguments.

-v|--verbose
    Be verbose.

QUOTA_SET_COMMAND

The format of an the QUOTA_SET_COMMAND is an operation name followed by a set of parameters specific to that operation.

To set user quotas for the user specified by -u or for the current username:

UQLIM:<username>:<softlimit>/<hardlimit>

To set the default quotas for a share:

FSQLIM:<softlimit>/<hardlimit>

To change the share quota settings:

FSQFLAGS:QUOTA_ENABLED/DENY_DISK/LOG_SOFTLIMIT/LOG_HARD_LIMIT

All limits are specified as a number of bytes.

EXIT STATUS

The smbcquotas program sets the exit status depending on the success or otherwise of the operations performed. The exit status may be one of the following values.

If the operation succeeded, smbcquotas returns an exit status of 0. If smbcquotas couldn't connect to the specified server, or when there was an error getting or setting the quota(s), an exit status of 1 is returned. If there was an error parsing any command line arguments, an exit status of 2 is returned.

VERSION

This man page is correct for version 3 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

smbcquotas was written by Stefan Metzmacher.